Dataset Items
Dataset Items
GET /api/v1/datasets/{dataset_id}/versions/{version_id}/items
Get Items
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
version_id | path | string | true |
Response
Type: []ItemWithJobStatus
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
text | string | |
splits | []*DatasetSplit | |
annotations | []Annotation | |
extension | string | |
job_status | ItemJobStatus | (optional) |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/itemsPOST /api/v1/datasets/{dataset_id}/versions/{version_id}/items
Create Item
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
version_id | path | string | true |
Request Body
Type: DatasetItem
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
text | string | |
splits | []*DatasetSplit | |
annotations | []Annotation | |
extension | string |
Response
Type: DatasetItem
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
text | string | |
splits | []*DatasetSplit | |
annotations | []Annotation | |
extension | string |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/itemsGET /api/v1/datasets/{dataset_id}/versions/{version_id}/items/{id}
Get Item
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
version_id | path | string | true |
id | path | string | true |
Response
Type: ItemWithJobStatus
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
text | string | |
splits | []*DatasetSplit | |
annotations | []Annotation | |
extension | string | |
job_status | ItemJobStatus | (optional) |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/items/{id}PUT /api/v1/datasets/{dataset_id}/versions/{version_id}/items/{id}
Update Item
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
version_id | path | string | true |
id | path | string | true |
Request Body
Type: DatasetItem
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
text | string | |
splits | []*DatasetSplit | |
annotations | []Annotation | |
extension | string |
Response
Type: DatasetItem
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
text | string | |
splits | []*DatasetSplit | |
annotations | []Annotation | |
extension | string |
Example
curl -X PUT \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/items/{id}GET /api/v1/datasets/{dataset_id}/versions/{version_id}/items/{id}/download
Get Item Image
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
version_id | path | string | true |
id | path | string | true |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/items/{id}/downloadPOST /api/v1/datasets/{dataset_id}/versions/{version_id}/items/{id}/upload
Create Item Image
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
version_id | path | string | true |
id | path | string | true |
Response
Type: DatasetItem
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
text | string | |
splits | []*DatasetSplit | |
annotations | []Annotation | |
extension | string |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/items/{id}/uploadGET /api/v1/datasets/{dataset_id}/versions/{version_id}/items/{item_id}/jobs
Get Post Processor Jobs
getPostProcessorJobs returns jobs for a specific item
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
version_id | path | string | true |
item_id | path | string | true |
Response
Type: []PostProcessorJobWithDetails
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
post_processor_id | uuid.UUID | |
dataset_item_id | uuid.UUID | |
dataset_id | uuid.UUID | |
status | string | pending, processing, completed, failed |
attempts | int | |
max_attempts | int | |
error | string | (optional) |
result | string | JSON string of raw model output (optional) |
started_at | time.Time | (optional) |
completed_at | time.Time | (optional) |
user_id | string | |
post_processor_name | string | |
item_name | string |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/items/{item_id}/jobsPOST /api/v1/datasets/{dataset_id}/versions/{version_id}/items/{item_id}/jobs/{job_id}/retry
Create retry Post Processor Job
retryPostProcessorJob retries a failed job
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
version_id | path | string | true |
item_id | path | string | true |
job_id | path | string | true |
Response
Type: PostProcessorJob
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
post_processor_id | uuid.UUID | |
dataset_item_id | uuid.UUID | |
dataset_id | uuid.UUID | |
status | string | pending, processing, completed, failed |
attempts | int | |
max_attempts | int | |
error | string | (optional) |
result | string | JSON string of raw model output (optional) |
started_at | time.Time | (optional) |
completed_at | time.Time | (optional) |
user_id | string |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/items/{item_id}/jobs/{job_id}/retryDELETE /api/v1/datasets/{dataset_id}/versions/{version_id}/splits/{split_id}/items/{id}
Delete Item
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
version_id | path | string | true |
split_id | path | string | true |
id | path | string | true |
Response
Type: DatasetItem
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
text | string | |
splits | []*DatasetSplit | |
annotations | []Annotation | |
extension | string |
Example
curl -X DELETE \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/splits/{split_id}/items/{id}